# Interface Worker

All Known Implementing Classes:
  `WorkerImpl`

public interface Worker

Version:
  $Revision: 1377071 $

## Method Summary

Modifier and Type
Method
Description
`String`
`getCurrentQueryString()`
`String`
`getCurrentUri()`
`String`
`getMethod()`
`String`
`getProtocol()`
`String`
`getRemoteAddr()`
`long`
`getRequestBytesReceived()`
`long`
`getRequestBytesSent()`
`int`
`getRequestProcessingTime()`
`String`
`getStage()`
`String`
`getVirtualHost()`
`void`
`setCurrentQueryString(String value)`
`void`
`setCurrentUri(String value)`
`void`
`setMethod(String value)`
`void`
`setProtocol(String value)`
`void`
`setRemoteAddr(String value)`
`void`
`setRequestBytesReceived(long value)`
`void`
`setRequestBytesSent(long value)`
`void`
`setRequestProcessingTime(int value)`
`void`
`setStage(String value)`
`void`
`setVirtualHost(String value)`

## Method Details

### getRequestProcessingTime

int getRequestProcessingTime()

### setRequestProcessingTime

void setRequestProcessingTime(int value)

### getRequestBytesSent

long getRequestBytesSent()

### setRequestBytesSent

void setRequestBytesSent(long value)

### getCurrentQueryString

String getCurrentQueryString()

### setCurrentQueryString

void setCurrentQueryString(String value)

### getRemoteAddr

String getRemoteAddr()

### setRemoteAddr

void setRemoteAddr(String value)

### getCurrentUri

String getCurrentUri()

### setCurrentUri

void setCurrentUri(String value)

### getStage

String getStage()

### setStage

void setStage(String value)

### getVirtualHost

String getVirtualHost()

### setVirtualHost

void setVirtualHost(String value)

### getProtocol

String getProtocol()

### setProtocol

void setProtocol(String value)

### getRequestBytesReceived

long getRequestBytesReceived()

### setRequestBytesReceived

void setRequestBytesReceived(long value)

### getMethod

String getMethod()

### setMethod

void setMethod(String value)